Bug 1018053 - New nmcli features should be documented
New nmcli features should be documented
Status: CLOSED CURRENTRELEASE
Product: Fedora Documentation
Classification: Fedora
Component: networking-guide (Show other bugs)
devel
Unspecified Unspecified
medium Severity unspecified
: ---
: ---
Assigned To: Stephen Wadeley
Fedora Docs QA
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-11 01:44 EDT by Pete Travis
Modified: 2015-04-13 03:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-13 03:20:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pete Travis 2013-10-11 01:44:03 EDT
nmcli in Fedora 20 can now add, delete, edit, activate, and deactivate connections, probably including bridge and Bond devices. This functionality should be represented in the SysadminGuide. 

http://fedoraproject.org/wiki/Networking/CLI is a start.
Comment 1 Stephen Wadeley 2014-03-21 11:43:28 EDT
Hello

This is now documented in the new Networking Guide.

http://docs.fedoraproject.org/en-US/Fedora_Draft_Documentation/0.1/html/Networking_Guide/sec-Network_Config_Using_nmcli.html

Thank you
Comment 2 Stephen Wadeley 2015-02-14 12:04:10 EST
Hello

For Fedora 21 this is now here:

http://docs.fedoraproject.org/en-US/Fedora/21/html-single/Networking_Guide/index.html#sec-Using_the_NetworkManager_Command_Line_Tool_nmcli

I need to explain about adding and removing multiple addresses using nmcli.
Comment 3 Stephen Wadeley 2015-04-13 03:20:35 EDT
(In reply to Stephen Wadeley from comment #2)

> 
> I need to explain about adding and removing multiple addresses using nmcli.

I added a section "Modifying a Static Ethernet Connection"

which includes this bit: 
To add additional IP addresses, use the + prefix as follows:

~]$ nmcli con mod test-lab +ipv4.addresses "192.168.114.114"

See: http://docs.fedoraproject.org/en-US/Fedora/21/html/Networking_Guide/sec-Connecting_to_a_Network_Using_nmcli.html



This was published in:

Revision 2-2	Mon Mar 30 2015	Stephen Wadeley
Added "Modifying a Static Ethernet Connection" to the Configure Networking chapter. 

===================

Note You need to log in before you can comment on or make changes to this bug.